#!/bin/sh

echo "--- add_manufacturer_to_group_udev.sh ---"

MANUFACTURER="Segway"
GROUP="dialout"
FILE="99-manufacturer-${MANUFACTURER}-to-group-${GROUP}.rules"
UDEV_PATH="/etc/udev/rules.d"

usage() {
  echo "Usage: $0 [-m <manufacturer>] [-g <group>] [-f <file> ]"
  echo " -m  specify manufacturer  id. Default Segway"
  echo " -g  specify group id.         Default dialout"
  echo " -f  specify udev file.        Default 99-segway-to-dialout-group.rules"
  exit 1
  }
  
while getopts ":hm:g:f:" arg; do
  case $arg in
    m)  MANUFACTURER=$OPTARG
        FILE="99-manufacturer-${MANUFACTURER}-to-group-${GROUP}.rules"
        ;;
    g)  GROUP=$OPTARG
        FILE="99-manufacturer-${MANUFACTURER}-to-group-${GROUP}.rules"
        ;;
    f)  FILE=$OPTARG;;
    h) usage;;
    *) usage;;
  esac
done
shift $((OPTIND-1))

FILE="$UDEV_PATH/$FILE"

echo "  Add udev rule so MANUFACTURER=${MANUFACTURER} devices are added to GROUP=${GROUP}."
echo "  Adding new lines to udev rule file: ${FILE}"

LINE0="SUBSYSTEM==\"usb\", ATTR{manufacturer}==\"${MANUFACTURER}\", GROUP=\"${GROUP}\""

sudo touch $FILE
grep -qF -- "$LINE0" "$FILE" || echo "$LINE0" | sudo tee -a "$FILE" > /dev/null

sudo service udev restart
echo "  Need to unplug-plug devices for changes to take effect"
